Summary:       Utilities for managing filesystem extended attributes
Name:          attr
Version:       2.5.1
Release:       3%{?dist}
License:       GPLv2+
URL:           https://savannah.nongnu.org/projects/attr
Source0:       https://download-mirror.savannah.gnu.org/releases/attr/attr-%{version}.tar.xz
Patch5000:     xattr-conf-nfs4-acls.patch
BuildRequires: make, libtool
BuildRequires: perl(FileHandle), gettext
Requires:      libattr = %{version}-%{release}

%description
Extended attributes implement the ability for a user to attach
name:value pairs to objects within the XFS filesystem.

%package -n    libattr
Summary:       Dynamic library for extended attribute support
License:       LGPLv2+

%description -n libattr
This package contains the libattr.so dynamic library which contains
the extended attribute system calls and library functions.

%package -n    libattr-devel
Summary:       Files needed for building programs with libattr
License:       LGPLv2+
Requires:      libattr = %{version}-%{release}, glibc-headers

%description -n libattr-devel
This package provides header files and libraries needed to develop programs
which make use of extended attributes.

%prep
%autosetup -p1

%build
%configure
%make_build

%check
if ./setfattr -n user.name -v value .; then
    make check || exit 1
fi

%install
%make_install

rm -f %{buildroot}%{_libdir}/libattr.{l,}a
rm -rf %{buildroot}%{_docdir}/%{name}*

%find_lang %{name}

%files -f %{name}.lang
%license doc/COPYING*
%doc doc/CHANGES
%{_bindir}/attr
%{_bindir}/getfattr
%{_bindir}/setfattr
%{_mandir}/man1/attr.1*
%{_mandir}/man1/getfattr.1*
%{_mandir}/man1/setfattr.1*

%files -n libattr
%{_libdir}/libattr.so.*
%config(noreplace) %{_sysconfdir}/xattr.conf

%files -n libattr-devel
%{_libdir}/libattr.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/attr
%{_mandir}/man3/attr_*.3.*

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.5.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.5.1-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Jul 12 2022 cunshunxia <cunshunxia@tencent.com> - 2.5.1-1
- initial build
